com.microfocus.zserver.zexplorer.ui

## Interface IZExplorerPropertyControlProvider

-     public interface IZExplorerPropertyControlProvider

  This interface is used to to implement the 'com.microfocus.zexplorer.zserver.propertyprovider' extension point. The implementation of this interface handles the creation and the handling of the `Control`s to the corresponding `IZExplorerProperty`s defined in the extension.

  Copyright Micro Focus GmbH.

  Author:
    NicolasP

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EXT_POINT_EXECUTABLE_EXTENSION` The id of the executable extension.
    `static java.lang.String` | `EXT_POINT_SERVERSETTINGS_PROVIDER_ID` The id of the corresponding extension point.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createControls(org.eclipse.swt.widgets.Composite pComposite)` This method should be used to create the Controls that should be displayed in the Server Settings dialog.
    `java.lang.String` | `getValue(java.lang.String pPropertyID)` This method should return the value of the `Control` to the corresponding property.
    `void` | `restoreDefaultValues()` Restore the default value of all Controls provided by this implementation.
    `void` | `setValue(java.lang.String pPropertyID, java.lang.String pValue)` This method is called to set the value of the `Control` for the corresponding property.
    `IControlValidationResult` | `validateFields()` Validates entered values of dialog fields.

- - ### Field Detail

    - #### EXT_POINT_SERVERSETTINGS_PROVIDER_ID

          static final java.lang.String EXT_POINT_SERVERSETTINGS_PROVIDER_ID

      The id of the corresponding extension point.
      See Also:
        Constant Field Values

    - #### EXT_POINT_EXECUTABLE_EXTENSION

          static final java.lang.String EXT_POINT_EXECUTABLE_EXTENSION

      The id of the executable extension.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createControls

          void createControls(org.eclipse.swt.widgets.Composite pComposite)

      This method should be used to create the Controls that should be displayed in the Server Settings dialog.
      Parameters:
        `pComposite` - the composite of the Server Settings dialog.

    - #### validateFields

          IControlValidationResult validateFields()

      Validates entered values of dialog fields.
      Returns:
        an instance of `IControlValidationResult` or `null` if no validation errors occurred. The focus will be set to the returned `Control` of `IControlValidationResult.getControl()`.

    - #### getValue

          java.lang.String getValue(java.lang.String pPropertyID)

      This method should return the value of the `Control` to the corresponding property.
      Parameters:
        `pPropertyID` - the property ID of the property.
      Returns:
        The value of the given `Control`. Do not return `null`.
        Return for example `Text.getText()`.

    - #### setValue

          void setValue(java.lang.String pPropertyID,
                        java.lang.String pValue)

      This method is called to set the value of the `Control` for the corresponding property.
      Parameters:
        `pPropertyID` - the property ID of the property.
        `pValue` - the value which should be set.
        Call for example `Text.setText(String)`.

    - #### restoreDefaultValues

          void restoreDefaultValues()

      Restore the default value of all Controls provided by this implementation.

Copyright © 2015 Micro Focus GmbH. All rights reserved.